%define	_datadir	%{_prefix}/lib

Summary: The /bin/mail program for sending e-mail messages.
Name: mailx
Version: 8.1.1
Release: 1.3.0
Copyright: BSD
Group: Applications/Internet
Source: ftp://ftp.debian.org/pub/debian/hamm/source/mail/mailx-8.1.1.tar.gz
Source1: flock.c
Patch0: mailx-8.1.1.debian.patch
Patch1: mailx-8.1.1.security.patch
Patch2: mailx-8.1.1.nolock.patch
Patch3: mailx-8.1.1.debian2.patch
Patch4: mailx-noroot.patch
Patch5: mailx-nopanic.patch
Patch6: mailx-nullchar.patch
Patch7: mailx-8.1.1-fhs.patch
Patch8: mailx-8.1.1-environ.patch
Patch9: mailx-8.1.1-siglj.patch
Patch10: mailx-8.1.1-bug15728.patch
Patch11: mailx-8.1.1-bug10074.patch
Patch12: mailx-8.1.1-uidcheck.patch
Patch13: mailx-8.1.1-flock.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
The mailx package installs the /bin/mail program, which is used to
send quick email messages (i.e., without opening up a full-featured
mail user agent). Mail is often used in shell scripts.

You should install mailx because of its quick email sending ability,
which is especially useful if you're planning on writing any shell
scripts.

%prep
%setup -q
cp %{SOURCE1} .
%patch0 -p1 -b .debian
%patch1 -p1 -b .security
%patch2 -p1 -b .nolock
%patch3 -p1 -b .debian2
%patch4 -p1 -b .noroot
%patch5 -p1 -b .nopanic
%patch6 -p1 -b .nullchar
%patch7 -p1 -b .fhs
%patch8 -p1 -b .environ
%patch9 -p1 -b .siglj
%patch10 -p1 -b .bug15728
%patch11 -p1 -b .bug10074
%patch12 -p1 -b .uidcheck
%patch13 -p1 -b .flock

%build
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{bin,etc}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

make DESTDIR=${RPM_BUILD_ROOT} bindir=%{_bindir} mandir=%{_mandir} install

( cd ${RPM_BUILD_ROOT}
  mv .%{_bindir}/mail ./bin/mail
  chmod g-s ./bin/mail
  ln -sf ../../bin/mail .%{_bindir}/Mail
  ln -sf mail.1 .%{_mandir}/man1/Mail.1
)

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%attr(755,root,mail)	/bin/mail
%{_bindir}/Mail
%doc %{_datadir}/mail.help
%doc %{_datadir}/mail.tildehelp
%config(noreplace) /etc/mail.rc
%doc %{_mandir}/man1/mail.1*
%doc %{_mandir}/man1/Mail.1*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 8.1.1, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).
